# class Cairo::Win32PrintingSurface

Win32 printing surface

### Public Class Methods

new(*args) click to toggle source

Win32 printing surface functions

    static VALUE
    cr_win32_printing_surface_initialize (VALUE self, VALUE hdc)
    {
      cairo_surface_t *surface = NULL;

      surface = cairo_win32_printing_surface_create (NUM2PTR (hdc));
      rb_cairo_surface_check_status (surface);
      DATA_PTR (self) = surface;
      if (rb_block_given_p ())
        rb_cairo__surface_yield_and_finish (self);
      return Qnil;
    }

### Public Instance Methods

hdc() click to toggle source

    static VALUE
    cr_win32_surface_get_hdc (VALUE self)
    {
      HDC hdc;

      hdc = cairo_win32_surface_get_dc (_SELF);
      if (!hdc)
        return Qnil;
      else
        return PTR2NUM (hdc);
    }